tomcat 4.1.12 error with JSP pages

wadearnold

Well-Known Member
Jan 13, 2002
111
0
316
I just upgraded a server to the layer one.
jsp-install-4.x.tar.gz (Thu Oct 31 11:49:05 2002)

Now when any *.jsp pages load on a page the return the tomcat error report white/blue error page. It says under description: The requested resource (/ora/ch5/easy.jsp) is not available.

The page can be seen at:
http://www.wadearnold.com/ora/ch5/easy.jsp

== The domlogs for the virtual host show:

205.161.215.193 - - [24/Nov/2002:20:01:12 -0800] &GET /ora/ch5/easy.jsp HTTP/1.1& 404 722 &-& &Mozilla/4.0 (compatible; MSIE 5.22; Mac_PowerPC)&

== The apache error logs show:

Mon Nov 25 04:01:12 2002] (debug) [jk_env.c (157)]: env:Create child env 0x83f6ae8 0x84a42b0
[Mon Nov 25 04:01:12 2002] ( info) [mod_jk2.c (451)]: mod_jk.translate(): uriMap /ora/ch5/easy.jsp ajp13:localhost:8009
[Mon Nov 25 04:01:12 2002] ( info) [mod_jk2.c (351)]: mod_jk.handler() per dir worker for 0x847e5b0 0x8445f98
[Mon Nov 25 04:01:12 2002] ( info) [mod_jk2.c (383)]: mod_jk.handler(): new rpool
[Mon Nov 25 04:01:12 2002] ( info) [mod_jk2.c (394)]: modjk.handler() Calling ajp13:localhost:8009 0x8445f98
[Mon Nov 25 04:01:12 2002] (debug) [jk_env.c (248)]: env.createBean2(): Create [endpoint] (null)
[Mon Nov 25 04:01:12 2002] (debug) [jk_env.c (383)]: env.getByName(): Get by name workerEnv 0x8433b08
[Mon Nov 25 04:01:12 2002] (debug) [jk_env.c (312)]: env.createBean2(): register endpoint:10 0x84a5448
[Mon Nov 25 04:01:12 2002] ( info) [jk_shm.c (466)]: shm.createSlot() Create 1 0x41b36000 0x41b38000
[Mon Nov 25 04:01:12 2002] ( info) [jk_endpoint.c (95)]: workerEnv.init() create slot epStat.0

I have started and restart tomcat and apache a couple times. Neither seems to show any problems. Does anyone no were else I might look to find out hwa thte problem is? Thanks for your help, I greatly appreciate it!

Thanks!
Wade Arnold
 

dgbaker

Well-Known Member
PartnerNOC
Sep 20, 2002
2,576
9
343
Toronto, Ontario Canada
cPanel Access Level
DataCenter Provider
As you will find on this forum, that version dated Oct31 is really messed up. I do not know of anyone to actually get it to work. I would suggest using 4.0.3 version even with it quirks it still works.
 

dgbaker

Well-Known Member
PartnerNOC
Sep 20, 2002
2,576
9
343
Toronto, Ontario Canada
cPanel Access Level
DataCenter Provider
We saved a copy and it is available here.

http://www.virtual-hosting.ca/jsp-install-4.x.tar.gz

This is 4.0.3 version. So far every install we have done for us and others have been fine.
 

wadearnold

Well-Known Member
Jan 13, 2002
111
0
316
dgbaker. thanks so much!! I had to install 3.2.2 just to get something going for myu clients. The upgrade was a request of one client and by having to go back to 3.2.2 i pissed off 40 or so clients. THANK YOU SO MUCH!!

I assume that cpanel has a ticket for this problem? This seems very insane that a release can be on the server for a month and that it still does not work!


wade
thanks again!!!!
 
O

ozzi4648

Guest
The best we can do is 3.2.2 install as well. Even 4.0.3 failes during install with a VM error. Hmm i installed the latest Kernel the other day which supposedly takes care of the VM issue but i dont know if im willing to risk another failed install. So we are in the same boat.
 

dgbaker

Well-Known Member
PartnerNOC
Sep 20, 2002
2,576
9
343
Toronto, Ontario Canada
cPanel Access Level
DataCenter Provider
I've done two installs today alone with 4.0.3. One system clean brandnew, the other different jdk, different tomcat installed. In both cases I've gotten 4.0.3 to perform correctly.

On the new system straight install.

On the other, reverted jdk back to 1.4.0 removed other tomcat and install went fine.
 
O

ozzi4648

Guest
[quote:46a8e1f109][i:46a8e1f109]Originally posted by dgbaker[/i:46a8e1f109]

I've done two installs today alone with 4.0.3. One system clean brandnew, the other different jdk, different tomcat installed. In both cases I've gotten 4.0.3 to perform correctly.

On the new system straight install.

On the other, reverted jdk back to 1.4.0 removed other tomcat and install went fine.

[/quote:46a8e1f109]

Of course i beleive you however even you couldnt get by this error

An unexpected exception has been detected in native code outside the VM.
Unexpected Signal : 11 occurred at PC=0x400BE68F
Function=memcpy+0x27
Library=/lib/libc.so.6

when installing 4.0.3 or 4.1. It doesnt happen with 3.2.2 thats why its installed. Go figure. Whats missing? If you feel you could install this let me know. I will give you one hell of a attempt at it!
 

moronhead

Well-Known Member
Aug 12, 2001
706
0
316
[quote:9694fe5cad][i:9694fe5cad]Originally posted by dgbaker[/i:9694fe5cad]

I've done two installs today alone with 4.0.3. One system clean brandnew, the other different jdk, different tomcat installed. In both cases I've gotten 4.0.3 to perform correctly.

On the new system straight install.

On the other, removed other tomcat and install went fine.

[/quote:9694fe5cad]
& reverted jdk back to 1.4.0

Is jdk1.3.1 not compatible with 4.0.3?
 

dgbaker

Well-Known Member
PartnerNOC
Sep 20, 2002
2,576
9
343
Toronto, Ontario Canada
cPanel Access Level
DataCenter Provider
[quote:a8a161524d][i:a8a161524d]Originally posted by moronhead[/i:a8a161524d]

[quote:a8a161524d][i:a8a161524d]Originally posted by dgbaker[/i:a8a161524d]

I've done two installs today alone with 4.0.3. One system clean brandnew, the other different jdk, different tomcat installed. In both cases I've gotten 4.0.3 to perform correctly.

On the new system straight install.

On the other, removed other tomcat and install went fine.

[/quote:a8a161524d]
& reverted jdk back to 1.4.0

Is jdk1.3.1 not compatible with 4.0.3?
[/quote:a8a161524d]

All 1.4.1 and some 1.4.0._ releases will not work.